org.firebirdsql.gds.ng.wire.version13

## Class V13Statement

- java.lang.Object
- - org.firebirdsql.gds.ng.AbstractFbStatement
  - - org.firebirdsql.gds.ng.wire.AbstractFbWireStatement
    - - org.firebirdsql.gds.ng.wire.version10.V10Statement
      - - org.firebirdsql.gds.ng.wire.version11.V11Statement
        - - org.firebirdsql.gds.ng.wire.version12.V12Statement
          - - org.firebirdsql.gds.ng.wire.version13.V13Statement

All Implemented Interfaces:
  FbStatement, ExceptionListenable, FbWireStatement

Direct Known Subclasses:
  V16Statement

    public class V13Statement
    extends V12Statement

Author:
  Mark Rotteveel

### Field Summary

### Fields inherited from class org.firebirdsql.gds.ng.AbstractFbStatement

`exceptionListenerDispatcher, statementListenerDispatcher`

### Constructor Summary

Constructors
Constructor and Description
`V13Statement(FbWireDatabase database)` Creates a new instance of V13Statement for the specified database.

### Method Summary

Methods
`protected RowValue` `readSqlData()` Reads a single row from the database.
`protected void` `writeSqlData(RowDescriptor rowDescriptor, RowValue fieldValues)` Write a set of SQL data from a `RowValue`.

### Methods inherited from class org.firebirdsql.gds.ng.wire.version11.V11Statement

`free, prepare`

### Methods inherited from class org.firebirdsql.gds.ng.wire.version10.V10Statement

`doFreePacket, execute, fetchRows, getDefaultSqlInfoSize, getMaxSqlInfoSize, getSqlInfo, processAllocateResponse, processExecuteResponse, processExecuteSingletonResponse, processFetchResponse, processFreeResponse, processInfoSqlResponse, processPrepareResponse, readColumnData, sendAllocate, sendExecute, sendFetch, sendFree, sendInfoSql, sendPrepare, setCursorName, writeColumnData`

### Methods inherited from class org.firebirdsql.gds.ng.wire.AbstractFbWireStatement

`calculateBlr, calculateBlr, close, emptyRowDescriptor, getDatabase, getHandle, getXdrIn, getXdrOut, isValidTransactionClass, setHandle`

### Methods inherited from class org.firebirdsql.gds.ng.AbstractFbStatement

`addExceptionListener, addStatementListener, checkStatementValid, checkStatementValid, closeCursor, closeCursor, createExecutionPlanProcessor, createSqlCountProcessor, ensureClosedCursor, finalize, getAllowedTimeout, getExecutionPlan, getExplainedExecutionPlan, getFieldDescriptor, getParameterDescriptionInfoRequestItems, getParameterDescriptor, getRowDescriptor, getSqlCounts, getSqlInfo, getState, getStatementInfoRequestItems, getStatementWarningCallback, getSynchronizationObject, getTimeout, getTransaction, getTransactionListener, getType, hasFields, hasSingletonResult, isAllRowsFetched, isPrepareAllowed, parseStatementInfo, queueRowData, removeExceptionListener, removeStatementListener, reset, reset, resetAll, setAllRowsFetched, setFieldDescriptor, setParameterDescriptor, setRowDescriptor, setTimeout, setTransaction, setType, signalExecute, signalFetch, switchState, validateParameters`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.gds.ng.FbStatement

`addStatementListener, close, closeCursor, closeCursor, emptyRowDescriptor, ensureClosedCursor, getDatabase, getExecutionPlan, getExplainedExecutionPlan, getFieldDescriptor, getHandle, getParameterDescriptor, getRowDescriptor, getSqlCounts, getSqlInfo, getState, getTimeout, getTransaction, getType, removeStatementListener, setTimeout, setTransaction, validateParameters`

### Methods inherited from interface org.firebirdsql.gds.ng.listeners.ExceptionListenable

`addExceptionListener, removeExceptionListener`

### Constructor Detail

#### V13Statement

    public V13Statement(FbWireDatabase database)

Creates a new instance of V13Statement for the specified database.

Parameters:
  `database` - FbWireDatabase implementation

### Method Detail

#### readSqlData

    protected RowValue readSqlData()
                            throws java.sql.SQLException,
                                   java.io.IOException

Description copied from class: `V10Statement`
Reads a single row from the database.

Overrides:
  `readSqlData` in class `V10Statement`
Returns:
  Row as a `RowValue`
Throws:
  `java.sql.SQLException`
  `java.io.IOException`

#### writeSqlData

    protected void writeSqlData(RowDescriptor rowDescriptor,
                    RowValue fieldValues)
                         throws java.io.IOException,
                                java.sql.SQLException

Description copied from class: `V10Statement`
Write a set of SQL data from a `RowValue`.

Overrides:
  `writeSqlData` in class `V10Statement`
Parameters:
  `rowDescriptor` - The row descriptor
  `fieldValues` - The List containing the SQL data to be written
Throws:
  `java.io.IOException` - if an error occurs while writing to the underlying output stream
  `java.sql.SQLException`